### Hierarchy

- Util

## Index

### Methods

- castToType
- copy
- copyToClipboard
- deepAssign
- fetchJson
- getGlobal
- getTimeStamp
- getUUID
- isBrowser
- isMergebleObject
- isObject
- isOnline

## Methods

### Static castToType

- castToType(o: any): any

- - Defined in util/util.ts:7

  #### Parameters

  - ##### o: any

  #### Returns any

### Static copy

- copy(obj: any): any

- - Defined in util/util.ts:3

  #### Parameters

  - ##### obj: any

  #### Returns any

### Static copyToClipboard

- copyToClipboard(str: string): void

- - Defined in util/util.ts:106

  #### Parameters

  - ##### str: string

  #### Returns void

### Static deepAssign

- deepAssign(target: any, ...sources: any[]): any

- - Defined in util/util.ts:16

  #### Parameters

  - ##### target: any

  - ##### Rest ...sources: any[]

  #### Returns any

### Static fetchJson

- fetchJson(url: string): Promise<any>

- - Defined in util/util.ts:39

  #### Parameters

  - ##### url: string

  #### Returns Promise<any>

### Static getGlobal

- getGlobal(): Window | Global

- - Defined in util/util.ts:65

  Returns the global object of the environment the application is running in (browser, node, web worker, or frame)

  #### Returns Window | Global

### Static getTimeStamp

- getTimeStamp(date?: any): number

- - Defined in util/util.ts:50

  Returns the current date as seconds since midnight Jan 1, 1970.

  #### Parameters

  - ##### Default value date: any = null

  #### Returns number

### Static getUUID

- getUUID(): string

- - Defined in util/util.ts:96

  Returns a UUID.

  #### Returns string

### Static isBrowser

- isBrowser(): boolean

- - Defined in util/util.ts:89

  Checks if the application is running in a browser.

  #### Returns boolean

### Static isMergebleObject

- isMergebleObject(item: any): boolean

- - Defined in util/util.ts:130

  #### Parameters

  - ##### item: any

  #### Returns boolean

### Static isObject

- isObject(item: any): boolean

- - Defined in util/util.ts:126

  #### Parameters

  - ##### item: any

  #### Returns boolean

### Static isOnline

- isOnline(): boolean

- - Defined in util/util.ts:78

  Checks if the application is running in a browser.

  #### Returns boolean